
Katello - Bug #27433

RPM Delete does not have any validation as it deletes from the same repo multiple time

07/25/2019 07:00 AM - Vijay Singh

Status: New   

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello Backlog   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 3.13.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

RPM Delete does not have any validation as it deletes from the same repo multiple time

Steps:

[vagrant@centos7-katello-devel ~]$ hammer -d repository upload-content --id 8 --organization-id 1 

--path /home/vagrant/GtkAda-gl-2.24.2-8.el7.x86_64.rpm

[vagrant@centos7-katello-devel ~]$ hammer repository remove-content --id 8 --ids 40 --content-type

 rpm

Repository content removed.

[vagrant@centos7-katello-devel ~]$ hammer repository remove-content --id 8 --ids 40 --content-type

 rpm

Repository content removed.

 Showing in the database still:

40 | ec404c4b-14e9-4f4f-8fcd-6bb5b0241dbd | 2019-07-23 16:20:10.784726 | 2019-07-23 16:20:10.79065

5 | GtkAda-gl     | 2.24.2   | 8.el7    | x86_64 | 0     | GtkAda-gl-2.24.2-8.el7.x86_64.rpm      

 | GtkAda-2.24.2-8.el7.src.rpm          | 0491e25142e8ce0

12e36889e87353c3a3658f46710bfde9107aa317c11497acb | 01-2.02-24.01-2   | 01-8.$el.01-7    | GtkAda 

binding to OpenGL      | GtkAda-gl-2.24.2-8.el7.x86_64       | f

Related issues:

Related to Katello - Tracker #27539: [Tracker] SRPM Issues New

History

#1 - 07/31/2019 05:42 PM - Justin Sherrill

- Category set to Repositories

- Target version set to Katello Backlog

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/08/2019 06:05 AM - Vijay Singh

- Related to Tracker #27539: [Tracker] SRPM Issues added
